from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.i18n import XNativeNumberSupplier

@runtime_checkable
class XNativeNumberSupplier2(XNativeNumberSupplier, Protocol):
    def getNativeNumberStringParams(self, NumberString: str, Locale: Locale, NativeNumberMode: int, NativeNumberParameters: str) -> str: ...
